﻿#region Using Statements
using RhinoXNA.RhinoGraphics.Rhino2D;
using RhinoXNA.RhinoUtilities;
using AsteroidsGame.Base_Objects;
using Microsoft.Xna.Framework.Input;
using RhinoXNA;
#endregion

namespace AsteroidsGame.Menus
{
    public class GameOverMenu : RhinoMenu
    {
        public GameOverMenu()
            : base()
        {
            _menuItems = RhinoLoader.GetMenuItems("LoadFiles\\ContentLoad.properties", "LoadFiles\\GameOverMenu.lfi");
            _inputBinding = new InputBinding(Keyboard.GetState(), Mouse.GetState());
            StateManager.Instance.Push(GameState.GameOver);
        }

        public override void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            foreach (IMenuItem mi in _menuItems)
            {
                mi.Update(gameTime);
            }

            if (_inputBinding.CheckKeyDown(Keyboard.GetState(), Keys.Enter))
            {
                StateManager.Instance.Push(GameState.Reset);
            }

            _inputBinding.Update();
        }

        public override void Render()
        {
            foreach (IMenuItem itm in _menuItems)
            {
                itm.Render();
            }
        }
    }
}
