﻿#region Using Statements
using System;
using RhinoXNA.RhinoGraphics.Rhino2D;
using RhinoXNA.RhinoUtilities;
using RhinoXNA;
using Microsoft.Xna.Framework.Input;
using AsteroidsGame.Base_Objects;
#endregion

namespace AsteroidsGame.Menus
{
    public class PauseMenu : RhinoMenu
    {
        public PauseMenu()
            : base()
        {
            _menuItems = RhinoLoader.GetMenuItems("LoadFiles\\ContentLoad.properties", "LoadFiles\\PauseMenu.lfi");
            _inputBinding = new InputBinding(Keyboard.GetState(), Mouse.GetState());
            StateManager.Instance.Push(GameState.Paused);
        }

        public override void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            if (_inputBinding.CheckKeyDown(Keyboard.GetState(), Keys.Enter))
            {
                //StateManager.Instance.Push(GameState.ForceQuit);
                StateManager.Instance.Push(GameState.Reset);
            }

            if (_inputBinding.CheckKeyDown(Keyboard.GetState(), Keys.Escape))
            {
                RhinoXNAAdapter.Instance.RemoveTopMenu();
                StateManager.Instance.Pop();
            }

            foreach (IMenuItem item in _menuItems)
            {
                item.Update(gameTime);
            }

            _inputBinding.Update();
        }

        public override void Render()
        {
            foreach (IMenuItem item in _menuItems)
            {
                item.Render();
            }
        }
    }
}
