﻿#region Using Statements
using Microsoft.Xna.Framework;
using RhinoXNA.RhinoGraphics.Rhino2D;
using System.Collections.Generic;
using System;
#endregion

namespace RhinoXNA
{
    /// <summary>
    /// Abstract class for 2D prohjectiles
    /// </summary>
    public abstract class DrawableProjectile : SpriteEntity
    {
        #region Public Properties
        public float MovementSpeed {get; set; }
        #endregion

        #region Public Methods
        /// <summary>
        /// Creates a new instance of this class
        /// </summary>
        /// <param name="parameters">Parameters defining this instance</param>
        public DrawableProjectile(List<String> parameters)
            :base(parameters)
        {
            this.MovementSpeed = 0.0f;
        }

        /// <summary>
        /// Updates the projectile (calls Animate)
        /// </summary>
        /// <param name="gameTime">Current Gametime</param>
        public override void Update(GameTime gameTime)
        {
            Animate(gameTime);
        }
        #endregion
    }
}
